> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.fr/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get object types for a supported media

> Récupérer les définitions d'objet pour un type de média spécifié au sein d'une application. Ce point de terminaison vous permet d'accéder aux paramètres liés aux définitions d'objet de divers types de médias tels que VIDÉO, AUDIO, DOCUMENT, AUTRE et IMAGE. Il est utile pour comprendre la structure et les propriétés associées aux différents types de médias dans votre application.

> **Supported products**


## OpenAPI

````yaml specs/2026-03/cms-media-bridge-v2026-03.json GET /media-bridge/2026-03/{appId}/settings/object-definitions/{mediaType}
openapi: 3.0.1
info:
  title: CMS Media Bridge
  description: Basepom for all HubSpot Projects
  version: 2026-03
  x-hubspot-product-tier-requirements:
    marketing: FREE
    sales: FREE
    service: FREE
    cms: FREE
    commerce: FREE
    crmHub: FREE
    dataHub: FREE
servers:
  - url: https://api.hubapi.com
security: []
tags:
  - name: Advanced
  - name: Basic
  - name: Batch
paths:
  /media-bridge/2026-03/{appId}/settings/object-definitions/{mediaType}:
    get:
      tags:
        - Basic
      summary: Récupérer les définitions d'objets
      description: >-
        Récupérer les définitions d'objet pour un type de média spécifié au sein
        d'une application. Ce point de terminaison vous permet d'accéder aux
        paramètres liés aux définitions d'objet de divers types de médias tels
        que VIDÉO, AUDIO, DOCUMENT, AUTRE et IMAGE. Il est utile pour comprendre
        la structure et les propriétés associées aux différents types de médias
        dans votre application.
      operationId: >-
        get-/media-bridge/2026-03/{appId}/settings/object-definitions/{mediaType}
      parameters:
        - name: appId
          in: path
          description: >-
            L'identifiant unique de l'application pour laquelle les paramètres
            sont récupérés.
          required: true
          style: simple
          explode: false
          schema:
            type: integer
            format: int32
        - name: mediaType
          in: path
          description: >-
            Le type de média pour lequel les définitions d'objet sont
            récupérées. Les valeurs valides sont VIDEO, AUDIO, DOCUMENT, AUTRE
            et IMAGE.
          required: true
          style: simple
          explode: false
          schema:
            type: string
            enum:
              - AUDIO
              - DOCUMENT
              - IMAGE
              - OTHER
              - VIDEO
        - name: includeFullDefinition
          in: query
          description: >-
            Un booléen indiquant s'il faut inclure la définition complète de
            l'objet. Si non spécifié, le comportement par défaut est de renvoyer
            une définition partielle.
          required: false
          style: form
          explode: true
          schema:
            type: boolean
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ObjectDefinitionResponse'
        default:
          $ref: '#/components/responses/Error'
          description: ''
      security:
        - developer_hapikey: []
components:
  schemas:
    ObjectDefinitionResponse:
      required:
        - objectTypeId
        - objectTypeName
        - properties
        - propertyGroups
      type: object
      properties:
        objectTypeId:
          type: string
          description: Une chaîne représentant l'identifiant unique du type d'objet.
        objectTypeName:
          type: string
          description: Une chaîne représentant le nom du type d'objet.
        properties:
          type: array
          description: >-
            Un tableau de propriétés appartenant au type d'objet, chacune
            définissant des attributs spécifiques de l'objet.
          items:
            $ref: '#/components/schemas/PropertyDefinition'
        propertyGroups:
          type: array
          description: >-
            Un tableau de groupes de propriétés associés au type d'objet,
            détaillant la manière dont les propriétés sont regroupées.
          items:
            $ref: '#/components/schemas/GroupView'
        schema:
          $ref: '#/components/schemas/InboundDbObjectType'
    PropertyDefinition:
      required:
        - objectTypeId
        - property
      type: object
      properties:
        calculationExpression:
          description: >-
            Une expression utilisée pour calculer la valeur de la propriété en
            fonction d'autres propriétés ou de constantes.
          oneOf:
            - $ref: '#/components/schemas/ConstantBoolean'
            - $ref: '#/components/schemas/ConstantNumber'
            - $ref: '#/components/schemas/ConstantString'
            - $ref: '#/components/schemas/BooleanPropertyVariable'
            - $ref: '#/components/schemas/StringPropertyVariable'
            - $ref: '#/components/schemas/NumberPropertyVariable'
            - $ref: '#/components/schemas/TimestampOfPropertyVariable'
            - $ref: '#/components/schemas/BooleanTargetPropertyVariable'
            - $ref: '#/components/schemas/StringTargetPropertyVariable'
            - $ref: '#/components/schemas/NumberTargetPropertyVariable'
            - $ref: '#/components/schemas/TimestampOfTargetPropertyVariable'
            - $ref: '#/components/schemas/AddNumbers'
            - $ref: '#/components/schemas/SubtractNumbers'
            - $ref: '#/components/schemas/MultiplyNumbers'
            - $ref: '#/components/schemas/DivideNumbers'
            - $ref: '#/components/schemas/RoundDownNumbers'
            - $ref: '#/components/schemas/RoundUpNumbers'
            - $ref: '#/components/schemas/RoundNearestNumbers'
            - $ref: '#/components/schemas/UpperCase'
            - $ref: '#/components/schemas/LowerCase'
            - $ref: '#/components/schemas/ConcatStrings'
            - $ref: '#/components/schemas/Contains'
            - $ref: '#/components/schemas/BeginsWith'
            - $ref: '#/components/schemas/NumberToString'
            - $ref: '#/components/schemas/ParseNumber'
            - $ref: '#/components/schemas/FetchExchangeRate'
            - $ref: '#/components/schemas/FetchCurrencyDecimalPlaces'
            - $ref: '#/components/schemas/FetchSingleCurrencyPortalCurrency'
            - $ref: '#/components/schemas/FetchPortalHomeCurrency'
            - $ref: '#/components/schemas/IsPortalEnabledCurrency'
            - $ref: '#/components/schemas/IsPortalMulticurrencyEnabled'
            - $ref: '#/components/schemas/DatedExchangeRate'
            - $ref: '#/components/schemas/PipelineProbability'
            - $ref: '#/components/schemas/MaxNumbers'
            - $ref: '#/components/schemas/MinNumbers'
            - $ref: '#/components/schemas/LessThan'
            - $ref: '#/components/schemas/LessThanOrEqual'
            - $ref: '#/components/schemas/MoreThan'
            - $ref: '#/components/schemas/MoreThanOrEqual'
            - $ref: '#/components/schemas/NumberEquals'
            - $ref: '#/components/schemas/StringEquals'
            - $ref: '#/components/schemas/IsPipelineStageClosed'
            - $ref: '#/components/schemas/Not'
            - $ref: '#/components/schemas/Date'
            - $ref: '#/components/schemas/Month'
            - $ref: '#/components/schemas/Year'
            - $ref: '#/components/schemas/Now'
            - $ref: '#/components/schemas/TimeBetween'
            - $ref: '#/components/schemas/TimeBetweenSkipWeekends'
            - $ref: '#/components/schemas/PeriodToMonths'
            - $ref: '#/components/schemas/PeriodToWeeks'
            - $ref: '#/components/schemas/And'
            - $ref: '#/components/schemas/Or'
            - $ref: '#/components/schemas/Xor'
            - $ref: '#/components/schemas/IfString'
            - $ref: '#/components/schemas/IfNumber'
            - $ref: '#/components/schemas/IfBoolean'
            - $ref: '#/components/schemas/IsPresent'
            - $ref: '#/components/schemas/IfChainString'
            - $ref: '#/components/schemas/IfChainNumber'
            - $ref: '#/components/schemas/IfChainBoolean'
            - $ref: '#/components/schemas/HasEmailReply'
            - $ref: '#/components/schemas/HasPlainTextEmailReply'
            - $ref: '#/components/schemas/ExtractMostRecentEmailReplyHtml'
            - $ref: '#/components/schemas/ExtractMostRecentEmailReplyText'
            - $ref: '#/components/schemas/ExtractMostRecentPlainTextEmailReply'
            - $ref: '#/components/schemas/SetContainsString'
            - $ref: '#/components/schemas/SetContainsAnyString'
            - $ref: '#/components/schemas/SetEqualsStrings'
            - $ref: '#/components/schemas/IsEngagementType'
            - $ref: '#/components/schemas/FormatFullName'
            - $ref: '#/components/schemas/FormatPhoneNumber'
            - $ref: '#/components/schemas/FormatSearchablePhoneNumber'
            - $ref: '#/components/schemas/AbsoluteValue'
            - $ref: '#/components/schemas/SquareRoot'
            - $ref: '#/components/schemas/Power'
            - $ref: '#/components/schemas/Substring'
            - $ref: '#/components/schemas/Euler'
            - $ref: '#/components/schemas/StringLength'
            - $ref: '#/components/schemas/IsBlank'
            - $ref: '#/components/schemas/AddTime'
            - $ref: '#/components/schemas/SubtractTime'
            - $ref: '#/components/schemas/RegexMatches'
            - $ref: '#/components/schemas/IsValidIsoPeriod'
            - $ref: '#/components/schemas/IsMonthBasedIsoPeriod'
            - $ref: '#/components/schemas/IsDayBasedIsoPeriod'
            - $ref: '#/components/schemas/IsMultipleOf'
            - $ref: '#/components/schemas/ValidateWhen'
            - $ref: '#/components/schemas/CoalesceString'
            - $ref: '#/components/schemas/CoalesceNumber'
            - $ref: '#/components/schemas/CoalesceBoolean'
            - $ref: '#/components/schemas/GetStartTime'
            - $ref: '#/components/schemas/ShiftDate'
            - $ref: '#/components/schemas/PortalTimezone'
            - $ref: '#/components/schemas/AnyCharsMatch'
            - $ref: '#/components/schemas/AllCharsMatch'
            - $ref: '#/components/schemas/RemoveMatchingChars'
            - $ref: '#/components/schemas/KeepMatchingChars'
            - $ref: '#/components/schemas/TrimOuterChars'
            - $ref: '#/components/schemas/TrimLeadingChars'
            - $ref: '#/components/schemas/TrimTrailingChars'
            - $ref: '#/components/schemas/ReplaceMatchingChars'
            - $ref: '#/components/schemas/CollapseMatchingChars'
            - $ref: '#/components/schemas/CountMatchingChars'
        calculationFormula:
          type: string
          description: >-
            Une formule qui définit la manière dont la valeur de la propriété
            est calculée.
        definitionSource:
          $ref: '#/components/schemas/PropertyDefinitionSource'
        extensionData:
          $ref: '#/components/schemas/ExtensionData'
        externalOptionsMetaData:
          $ref: '#/components/schemas/ExternalOptionsMetaData'
        fulcrumPortalId:
          type: integer
          description: >-
            Un identifiant pour le portail ou le compte dans lequel cette
            propriété est utilisée.
          format: int32
        fulcrumTimestamp:
          type: integer
          description: >-
            Un horodatage indiquant la dernière mise à jour ou synchronisation
            de la propriété.
          format: int64
        janusGroup:
          type: string
          description: >-
            Le groupe ou la catégorie à laquelle appartient cette propriété,
            potentiellement utilisé pour organiser les propriétés.
        lookupAssociationSpec:
          $ref: '#/components/schemas/LookupAssociationSpec'
        objectTypeId:
          type: string
          description: L'identifiant du type d'objet auquel cette propriété appartient.
        permission:
          $ref: '#/components/schemas/FieldLevelPermission'
        property:
          $ref: '#/components/schemas/Property'
        propertyDefinitionSource:
          $ref: '#/components/schemas/DefinitionSource'
        propertyRequirements:
          $ref: '#/components/schemas/DefaultRequirements'
        rollupExpression:
          $ref: '#/components/schemas/RollupExpression'
    GroupView:
      required:
        - displayName
        - displayOrder
        - fulcrumPortalId
        - fulcrumTimestamp
        - hubspotDefined
        - name
      type: object
      properties:
        displayName:
          type: string
          description: >-
            Une chaîne représentant le nom d'affichage du groupe, utilisée pour
            une identification conviviale.
        displayOrder:
          type: integer
          description: >-
            Un entier qui détermine l'ordre dans lequel le groupe est affiché
            par rapport aux autres groupes.
          format: int32
        fulcrumPortalId:
          type: integer
          description: Un entier représentant l'ID du portail associé à ce groupe.
          format: int32
        fulcrumTimestamp:
          type: integer
          description: >-
            Un horodatage Unix en millisecondes indiquant la dernière mise à
            jour du groupe.
          format: int64
        hubspotDefined:
          type: boolean
          description: "Un booléen indiquant si le groupe est défini par HubSpot. Si la valeur est «\_true\_», le groupe est un groupe HubSpot par défaut."
        name:
          type: string
          description: >-
            Le nom du groupe. Il s'agit d'une chaîne de caractères qui identifie
            de manière unique le groupe dans le contexte du MediaBridgeService.
    InboundDbObjectType:
      required:
        - allowsSensitiveProperties
        - createDatePropertyName
        - defaultSearchPropertyNames
        - deleted
        - fullyQualifiedName
        - hasCustomProperties
        - hasDefaultProperties
        - hasExternalObjectIds
        - hasOwners
        - hasPipelines
        - id
        - indexedForFiltersAndReports
        - lastModifiedPropertyName
        - metaType
        - metaTypeId
        - name
        - objectTypeId
        - objectTypeIdString
        - permissioningType
        - pipelinePropertyName
        - pipelineStagePropertyName
        - requiredProperties
        - restorable
        - scopeMappings
        - secondaryDisplayLabelPropertyNames
      type: object
      properties:
        accessScopeName:
          type: string
          description: Le nom de la portée requise pour accéder au type d'objet.
        allowsSensitiveProperties:
          type: boolean
          description: >-
            Un booléen indiquant si le type d'objet autorise les propriétés
            sensibles.
        createDatePropertyName:
          type: string
          description: Le nom de la propriété qui stocke la date de création de l'objet.
        createdAt:
          type: integer
          description: La date et l'heure de création du type d'objet, au format ISO 8601.
          format: int64
        defaultSearchPropertyNames:
          type: array
          description: >-
            Un tableau de chaînes de caractères représentant les noms de
            propriétés par défaut utilisés pour la recherche.
          items:
            type: string
        deleted:
          type: boolean
          description: Un booléen indiquant si le type d'objet est supprimé.
        description:
          type: string
          description: Description du type d'objet.
        fullyQualifiedName:
          type: string
          description: Le nom complet du type d'objet.
        hasCustomProperties:
          type: boolean
          description: >-
            Un booléen indiquant si le type d'objet possède des propriétés
            personnalisées.
        hasDefaultProperties:
          type: boolean
          description: Un booléen indiquant si le type d'objet a des propriétés par défaut.
        hasExternalObjectIds:
          type: boolean
          description: >-
            Un booléen indiquant si le type d'objet prend en charge les ID
            d'objet externes.
        hasOwners:
          type: boolean
          description: >-
            Un booléen indiquant si le type d'objet peut avoir des
            propriétaires.
        hasPipelines:
          type: boolean
          description: >-
            Un booléen indiquant si le type d'objet prend en charge les
            pipelines.
        id:
          type: integer
          description: L'identifiant unique du type d'objet.
          format: int32
        indexedForFiltersAndReports:
          type: boolean
          description: >-
            Un booléen indiquant si le type d'objet est indexé pour les filtres
            et les rapports.
        integrationAppId:
          type: integer
          description: L'ID de l'application d'intégration associée au type d'objet.
          format: int32
        janusGroup:
          type: string
          description: Le groupe Janus associé au type d'objet.
        lastModifiedPropertyName:
          type: string
          description: >-
            Le nom de la propriété qui stocke la date de dernière modification
            de l'objet.
        metaType:
          type: string
          description: Le type de métadonnées associé à l'objet.
          enum:
            - CMS_HUBDB
            - HUBSPOT
            - HUBSPOT_EVENT
            - INTEGRATION
            - INTEGRATION_EVENT
            - PORTAL_SPECIFIC
            - PORTAL_SPECIFIC_EVENT
            - WORK
            - WORK_SUB
        metaTypeId:
          type: integer
          description: L'identifiant unique du type de métadonnées.
          format: int32
        name:
          type: string
          description: Le nom du type d'objet de base de données.
        objectTypeId:
          type: string
          description: L'identifiant unique du type d'objet.
        objectTypeIdString:
          type: string
          description: >-
            La représentation sous forme de chaîne de caractères de l'ID du type
            d'objet.
        ownerPortalId:
          type: integer
          description: L'ID de portail du propriétaire associé au type d'objet.
          format: int32
        permissioningType:
          type: string
          description: Le type d'autorisation appliqué au type d'objet.
          enum:
            - ALL_OR_NONE
            - DO_NOT_CHECK_PERMISSIONS
            - EXPLICIT
            - OWNER_BASED
            - TEAM_BASED
        pipelineCloseDatePropertyName:
          type: string
          description: >-
            Le nom de la propriété associée à la date de fermeture du pipeline
            de l'objet.
        pipelinePropertyName:
          type: string
          description: Le nom de la propriété associée au pipeline de l'objet.
        pipelineStagePropertyName:
          type: string
          description: Le nom de la propriété associée à l'étape du pipeline de l'objet.
        pipelineTimeToClosePropertyName:
          type: string
          description: >-
            Le nom de la propriété associée au temps de clôture dans le
            pipeline.
        pluralForm:
          type: string
          description: La forme plurielle du nom du type d'objet.
        primaryDisplayLabelPropertyName:
          type: string
          description: Le nom de la propriété utilisé comme libellé d'affichage principal.
        readScopeName:
          type: string
          description: Le nom du scope requis pour lire le type d'objet.
        requiredProperties:
          type: array
          description: >-
            Un tableau de chaînes représentant les propriétés requises pour le
            type d'objet.
          items:
            type: string
        restorable:
          type: boolean
          description: >-
            Un booléen indiquant si le type d'objet peut être restauré s'il est
            supprimé.
        scopeMappings:
          type: array
          description: Mappages des étendues liées au type d'objet.
          items:
            $ref: '#/components/schemas/ScopeMapping'
        secondaryDisplayLabelPropertyNames:
          type: array
          description: >-
            Un tableau de chaînes de caractères représentant les noms de
            propriétés utilisés comme libellés d'affichage secondaires.
          items:
            type: string
        singularForm:
          type: string
          description: La forme singulière du nom du type d'objet.
        status:
          type: string
          description: Le statut du type d'objet.
          enum:
            - Deprecated
            - In development
            - Live
        visibilities:
          type: array
          description: >-
            Un tableau représentant différents paramètres de visibilité pour le
            type d'objet.
          items:
            type: string
            enum:
              - Customer-facing
              - Internal only
              - Customer-facing UI
              - Customer-facing public API
        visibility:
          type: string
          description: Le paramètre de visibilité du type d'objet.
          enum:
            - Customer-facing
            - Customer-facing public API
            - Customer-facing UI
            - Internal only
        writeScopeName:
          type: string
          description: Le nom du scope requis pour écrire dans le type d'objet.
    Error:
      required:
        - category
        - correlationId
        - message
      type: object
      properties:
        category:
          type: string
          description: La catégorie d'erreur
        context:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          description: Contexte concernant la condition d'erreur
          example: >-
            {invalidPropertyName=[propertyValue], missingScopes=[scope1,
            scope2]}
        correlationId:
          type: string
          description: >-
            Un identifiant unique pour la demande. Incluez cette valeur dans
            tous les rapports d'erreurs ou tickets d'assistance
          format: uuid
          example: aeb5f871-7f07-4993-9211-075dc63e7cbf
        errors:
          type: array
          description: informations supplémentaires à propos de l'erreur
          items:
            $ref: '#/components/schemas/ErrorDetail'
        links:
          type: object
          additionalProperties:
            type: string
          description: >-
            Une carte des noms de liens vers les URI associés contenant de la
            documentation sur l'erreur ou les mesures correctives recommandées
        message:
          type: string
          description: >-
            Un message lisible par la personne décrivant l'erreur ainsi que les
            mesures correctives possibles, le cas échéant
          example: An error occurred
        subCategory:
          type: string
          description: >-
            Une catégorie spécifique qui contient des détails plus précis sur
            l'erreur
      description: >-
        Représente une réponse d'erreur renvoyée par l'API lorsqu'une opération
        échoue. Ce composant est utilisé dans divers points de terminaison pour
        fournir des informations détaillées sur l'erreur rencontrée.
      example:
        message: Invalid input (details will vary based on the error)
        correlationId: aeb5f871-7f07-4993-9211-075dc63e7cbf
        category: VALIDATION_ERROR
        links:
          knowledge-base: https://www.hubspot.com/products/service/knowledge-base
    ConstantBoolean:
      title: CONSTANT_BOOLEAN
      required:
        - operator
      type: object
      properties:
        operator:
          type: string
          description: "Une chaîne qui spécifie le type d'opérateur. Pour ConstantBoolean, elle est généralement définie sur «\_CONSTANT_BOOLEAN\_»."
          default: CONSTANT_BOOLEAN
          enum:
            - CONSTANT_BOOLEAN
        propertyName:
          type: string
          description: >-
            Une chaîne indiquant le nom de la propriété associée à cette valeur
            booléenne constante.
        value:
          type: boolean
          description: Une valeur booléenne représentant l'état constant vrai ou faux.
      x-hubspot-sub-type-impl: true
    ConstantNumber:
      title: CONSTANT_NUMBER
      required:
        - operator
      type: object
      properties:
        operator:
          type: string
          description: "Une chaîne de caractères qui spécifie le type d'opération. Elle est définie par défaut sur «\_CONSTANT_NUMBER\_» et est utilisée pour identifier le composant comme un nombre constant."
          default: CONSTANT_NUMBER
          enum:
            - CONSTANT_NUMBER
        propertyName:
          type: string
          description: >-
            Une chaîne représentant le nom de la propriété associée à ce nombre
            constant.
        value:
          type: number
          description: >-
            Un nombre représentant la valeur constante. Il s'agit de la valeur
            numérique que le composant contient.
      x-hubspot-sub-type-impl: true
    ConstantString:
      title: CONSTANT_STRING
      required:
        - operator
      type: object
      properties:
        operator:
          type: string
          description: >-
            Une chaîne représentant le type d'opération. Pour ce composant, elle
            est définie sur une opération spécifique liée aux chaînes
            constantes.
          default: CONSTANT_STRING
          enum:
            - CONSTANT_STRING
        propertyName:
          type: string
          description: >-
            Le nom de la propriété à laquelle cette chaîne de caractères
            constante est associée ou appliquée.
        value:
          type: string
          description: >-
            La valeur de chaîne constante associée à ce composant. Elle est
            utilisée comme entrée fixe dans les opérations.
      x-hubspot-sub-type-impl: true
    BooleanPropertyVariable:
      title: BOOLEAN_PROPERTY_VARIABLE
      required:
        - operator
      type: object
      properties:
        operator:
          type: string
          description: "Une chaîne de caractères représentant l'opération à effectuer. Elle est obligatoire et a une valeur par défaut de «\_OR\_»."
          default: BOOLEAN_PROPERTY_VARIABLE
          enum:
            - BOOLEAN_PROPERTY_VARIABLE
        propertyName:
          type: string
          description: >-
            Une chaîne représentant le nom de la propriété à laquelle
            l'opération s'applique.
        value:
          type: boolean
          description: Une valeur booléenne associée à la propriété.
      x-hubspot-sub-type-impl: true
    StringPropertyVariable:
      title: STRING_PROPERTY_VARIABLE
      required:
        - operator
      type: object
      properties:
        operator:
          type: string
          description: >-
            Une chaîne de caractères représentant l'opération à effectuer sur la
            propriété de chaîne. Il s'agit d'un champ obligatoire.
          default: STRING_PROPERTY_VARIABLE
          enum:
            - STRING_PROPERTY_VARIABLE
        propertyName:
          type: string
          description: Le nom de la propriété de chaîne référencée.
        value:
          type: string
          description: La valeur de chaîne associée à la variable de propriété.
      x-hubspot-sub-type-impl: true
    NumberPropertyVariable:
      title: NUMBER_PROPERTY_VARIABLE
      required:
        - operator
      type: object
      properties:
        operator:
          type: string
          description: >-
            Une chaîne de caractères représentant l'opération à effectuer. Cette
            propriété est requise.
          default: NUMBER_PROPERTY_VARIABLE
          enum:
            - NUMBER_PROPERTY_VARIABLE
        propertyName:
          type: string
          description: >-
            Une chaîne de caractères indiquant le nom de la propriété. Cette
            propriété est utilisée pour identifier la propriété numérique
            spécifique à laquelle il est fait référence.
        value:
          type: number
          description: >-
            La valeur numérique associée à la variable de propriété, utilisée
            dans les calculs ou les comparaisons.
      x-hubspot-sub-type-impl: true
    TimestampOfPropertyVariable:
      title: TIMESTAMP_OF_PROPERTY_VARIABLE
      required:
        - operator
      type: object
      properties:
        operator:
          type: string
          description: >-
            Une chaîne de caractères représentant l'opération à effectuer,
            impliquant généralement des horodatages.
          default: TIMESTAMP_OF_PROPERTY_VARIABLE
          enum:
            - TIMESTAMP_OF_PROPERTY_VARIABLE
        propertyName:
          type: string
          description: >-
            Le nom de la propriété pour laquelle l'horodatage est référencé,
            représenté sous forme de chaîne de caractères.
        value:
          type: string
          description: >-
            La valeur associée à l'opération d'horodatage, représentée sous
            forme de chaîne.
      x-hubspot-sub-type-impl: true
    BooleanTargetPropertyVariable:
      title: BOOLEAN_TARGET_PROPERTY_VARIABLE
      required:
        - operator
      type: object
      properties:
        operator:
          type: string
          description: "Une chaîne de caractères représentant l'opération à effectuer. Elle est obligatoire et doit être «\_OR\_»."
          default: BOOLEAN_TARGET_PROPERTY_VARIABLE
          enum:
            - BOOLEAN_TARGET_PROPERTY_VARIABLE
        propertyName:
          type: string
          description: >-
            Le nom de la propriété ciblée ou manipulée, représenté sous forme de
            chaîne de caractères.
        value:
          type: boolean
          description: Une valeur booléenne associée à l'opération.
      x-hubspot-sub-type-impl: true
    StringTargetPropertyVariable:
      title: STRING_TARGET_PROPERTY_VARIABLE
      required:
        - operator
      type: object
      properties:
        operator:
          type: string
          description: "Une chaîne de caractères représentant l'opération à effectuer. La valeur par défaut est «\_LOWER_CASE\_»."
          default: STRING_TARGET_PROPERTY_VARIABLE
          enum:
            - STRING_TARGET_PROPERTY_VARIABLE
        propertyName:
          type: string
          description: >-
            Une chaîne indiquant le nom de la propriété sur laquelle l'opération
            est effectuée.
        value:
          type: string
          description: Une chaîne représentant le résultat de l'opération.
      x-hubspot-sub-type-impl: true
    NumberTargetPropertyVariable:
      title: NUMBER_TARGET_PROPERTY_VARIABLE
      required:
        - operator
      type: object
      properties:
        operator:
          type: string
          description: >-
            Une chaîne de caractères représentant l'opération à effectuer. Elle
            est obligatoire et doit être l'une des opérations prédéfinies.
          default: NUMBER_TARGET_PROPERTY_VARIABLE
          enum:
            - NUMBER_TARGET_PROPERTY_VARIABLE
        propertyName:
          type: string
          description: >-
            Le nom de la propriété ciblée, représenté sous forme de chaîne de
            caractères.
        value:
          type: number
          description: >-
            La valeur associée à la propriété numérique, représentée sous forme
            de nombre.
      x-hubspot-sub-type-impl: true
    TimestampOfTargetPropertyVariable:
      title: TIMESTAMP_OF_TARGET_PROPERTY_VARIABLE
      required:
        - operator
      type: object
      properties:
        operator:
          type: string
          description: "Une chaîne de caractères représentant le type d'opération. Elle est obligatoire et a une valeur par défaut de «\_TIMESTAMP_OF_TARGET_PROPERTY\_»."
          default: TIMESTAMP_OF_TARGET_PROPERTY_VARIABLE
          enum:
            - TIMESTAMP_OF_TARGET_PROPERTY_VARIABLE
        propertyName:
          type: string
          description: >-
            Une chaîne indiquant le nom de la propriété cible pour laquelle
            l'horodatage est capturé.
        value:
          type: string
          description: Un nombre représentant la valeur de l'horodatage.
      x-hubspot-sub-type-impl: true
    AddNumbers:
      title: ADD_NUMBERS
      required:
        - enclosedInParentheses
        - operator
      type: object
      properties:
        enclosedInParentheses:
          type: boolean
          description: >-
            Un booléen indiquant si l'opération est placée entre parenthèses, ce
            qui affecte l'ordre des opérations.
        inputs:
          type: array
          description: >-
            Un tableau d'entrées pour l'opération d'addition. Chaque entrée peut
            être une constante, une variable ou une autre opération.
          items:
            oneOf:
              - $ref: '#/components/schemas/ConstantBoolean'
              - $ref: '#/components/schemas/ConstantNumber'
              - $ref: '#/components/schemas/ConstantString'
              - $ref: '#/components/schemas/BooleanPropertyVariable'
              - $ref: '#/components/schemas/StringPropertyVariable'
              - $ref: '#/components/schemas/NumberPropertyVariable'
              - $ref: '#/components/schemas/TimestampOfPropertyVariable'
              - $ref: '#/components/schemas/BooleanTargetPropertyVariable'
              - $ref: '#/components/schemas/StringTargetPropertyVariable'
              - $ref: '#/components/schemas/NumberTargetPropertyVariable'
              - $ref: '#/components/schemas/TimestampOfTargetPropertyVariable'
              - $ref: '#/components/schemas/AddNumbers'
              - $ref: '#/components/schemas/SubtractNumbers'
              - $ref: '#/components/schemas/MultiplyNumbers'
              - $ref: '#/components/schemas/DivideNumbers'
              - $ref: '#/components/schemas/RoundDownNumbers'
              - $ref: '#/components/schemas/RoundUpNumbers'
              - $ref: '#/components/schemas/RoundNearestNumbers'
              - $ref: '#/components/schemas/UpperCase'
              - $ref: '#/components/schemas/LowerCase'
              - $ref: '#/components/schemas/ConcatStrings'
              - $ref: '#/components/schemas/Contains'
              - $ref: '#/components/schemas/BeginsWith'
              - $ref: '#/components/schemas/NumberToString'
              - $ref: '#/components/schemas/ParseNumber'
              - $ref: '#/components/schemas/FetchExchangeRate'
              - $ref: '#/components/schemas/FetchCurrencyDecimalPlaces'
              - $ref: '#/components/schemas/FetchSingleCurrencyPortalCurrency'
              - $ref: '#/components/schemas/FetchPortalHomeCurrency'
              - $ref: '#/components/schemas/IsPortalEnabledCurrency'
              - $ref: '#/components/schemas/IsPortalMulticurrencyEnabled'
              - $ref: '#/components/schemas/DatedExchangeRate'
              - $ref: '#/components/schemas/PipelineProbability'
              - $ref: '#/components/schemas/MaxNumbers'
              - $ref: '#/components/schemas/MinNumbers'
              - $ref: '#/components/schemas/LessThan'
              - $ref: '#/components/schemas/LessThanOrEqual'
              - $ref: '#/components/schemas/MoreThan'
              - $ref: '#/components/schemas/MoreThanOrEqual'
              - $ref: '#/components/schemas/NumberEquals'
              - $ref: '#/components/schemas/StringEquals'
              - $ref: '#/components/schemas/IsPipelineStageClosed'
              - $ref: '#/components/schemas/Not'
              - $ref: '#/components/schemas/Date'
              - $ref: '#/components/schemas/Month'
              - $ref: '#/components/schemas/Year'
              - $ref: '#/components/schemas/Now'
              - $ref: '#/components/schemas/TimeBetween'
              - $ref: '#/components/schemas/TimeBetweenSkipWeekends'
              - $ref: '#/components/schemas/PeriodToMonths'
              - $ref: '#/components/schemas/PeriodToWeeks'
              - $ref: '#/components/schemas/And'
              - $ref: '#/components/schemas/Or'
              - $ref: '#/components/schemas/Xor'
              - $ref: '#/components/schemas/IfString'
              - $ref: '#/components/schemas/IfNumber'
              - $ref: '#/components/schemas/IfBoolean'
              - $ref: '#/components/schemas/IsPresent'
              - $ref: '#/components/schemas/IfChainString'
              - $ref: '#/components/schemas/IfChainNumber'
              - $ref: '#/components/schemas/IfChainBoolean'
              - $ref: '#/components/schemas/HasEmailReply'
              - $ref: '#/components/schemas/HasPlainTextEmailReply'
              - $ref: '#/components/schemas/ExtractMostRecentEmailReplyHtml'
              - $ref: '#/components/schemas/ExtractMostRecentEmailReplyText'
              - $ref: '#/components/schemas/ExtractMostRecentPlainTextEmailReply'
              - $ref: '#/components/schemas/SetContainsString'
              - $ref: '#/components/schemas/SetContainsAnyString'
              - $ref: '#/components/schemas/SetEqualsStrings'
              - $ref: '#/components/schemas/IsEngagementType'
              - $ref: '#/components/schemas/FormatFullName'
              - $ref: '#/components/schemas/FormatPhoneNumber'
              - $ref: '#/components/schemas/FormatSearchablePhoneNumber'
              - $ref: '#/components/schemas/AbsoluteValue'
              - $ref: '#/components/schemas/SquareRoot'
              - $ref: '#/components/schemas/Power'
              - $ref: '#/components/schemas/Substring'
              - $ref: '#/components/schemas/Euler'
              - $ref: '#/components/schemas/StringLength'
              - $ref: '#/components/schemas/IsBlank'
              - $ref: '#/components/schemas/AddTime'
              - $ref: '#/components/schemas/SubtractTime'
              - $ref: '#/components/schemas/RegexMatches'
              - $ref: '#/components/schemas/IsValidIsoPeriod'
              - $ref: '#/components/schemas/IsMonthBasedIsoPeriod'
              - $ref: '#/components/schemas/IsDayBasedIsoPeriod'
              - $ref: '#/components/schemas/IsMultipleOf'
              - $ref: '#/components/schemas/ValidateWhen'
              - $ref: '#/components/schemas/CoalesceString'
              - $ref: '#/components/schemas/CoalesceNumber'
              - $ref: '#/components/schemas/CoalesceBoolean'
              - $ref: '#/components/schemas/GetStartTime'
              - $ref: '#/components/schemas/ShiftDate'
              - $ref: '#/components/schemas/PortalTimezone'
              - $ref: '#/components/schemas/AnyCharsMatch'
              - $ref: '#/components/schemas/AllCharsMatch'
              - $ref: '#/components/schemas/RemoveMatchingChars'
              - $ref: '#/components/schemas/KeepMatchingChars'
              - $ref: '#/components/schemas/TrimOuterChars'
              - $ref: '#/components/schemas/TrimLeadingChars'
              - $ref: '#/components/schemas/TrimTrailingChars'
              - $ref: '#/components/schemas/ReplaceMatchingChars'
              - $ref: '#/components/schemas/CollapseMatchingChars'
              - $ref: '#/components/schemas/CountMatchingChars'
        operator:
          type: string
          description: "Une chaîne représentant le type d'opération. La valeur par défaut est «\_ADD_NUMBERS\_»."
          default: ADD_NUMBERS
          enum:
            - ADD_NUMBERS
        propertyName:
          type: string
          description: >-
            Une chaîne représentant le nom de la propriété impliquée dans
            l'opération.
        value:
          type: number
          description: Un nombre qui représente le résultat de l'opération d'addition.
      x-hubspot-sub-type-impl: true
    SubtractNumbers:
      title: SUBTRACT_NUMBERS
      required:
        - enclosedInParentheses
        - operator
      type: object
      properties:
        enclosedInParentheses:
          type: boolean
          description: >-
            Un booléen indiquant si l'opération est entre parenthèses, ce qui
            affecte l'ordre des opérations.
        inputs:
          type: array
          description: >-
            Un ensemble d'entrées utilisées dans l'opération de soustraction.
            Ces entrées peuvent être des constantes, des variables ou les
            résultats d'autres opérations.
          items:
            oneOf:
              - $ref: '#/components/schemas/ConstantBoolean'
              - $ref: '#/components/schemas/ConstantNumber'
              - $ref: '#/components/schemas/ConstantString'
              - $ref: '#/components/schemas/BooleanPropertyVariable'
              - $ref: '#/components/schemas/StringPropertyVariable'
              - $ref: '#/components/schemas/NumberPropertyVariable'
              - $ref: '#/components/schemas/TimestampOfPropertyVariable'
              - $ref: '#/components/schemas/BooleanTargetPropertyVariable'
              - $ref: '#/components/schemas/StringTargetPropertyVariable'
              - $ref: '#/components/schemas/NumberTargetPropertyVariable'
              - $ref: '#/components/schemas/TimestampOfTargetPropertyVariable'
              - $ref: '#/components/schemas/AddNumbers'
              - $ref: '#/components/schemas/SubtractNumbers'
              - $ref: '#/components/schemas/MultiplyNumbers'
              - $ref: '#/components/schemas/DivideNumbers'
              - $ref: '#/components/schemas/RoundDownNumbers'
              - $ref: '#/components/schemas/RoundUpNumbers'
              - $ref: '#/components/schemas/RoundNearestNumbers'
              - $ref: '#/components/schemas/UpperCase'
              - $ref: '#/components/schemas/LowerCase'
              - $ref: '#/components/schemas/ConcatStrings'
              - $ref: '#/components/schemas/Contains'
              - $ref: '#/components/schemas/BeginsWith'
              - $ref: '#/components/schemas/NumberToString'
              - $ref: '#/components/schemas/ParseNumber'
              - $ref: '#/components/schemas/FetchExchangeRate'
              - $ref: '#/components/schemas/FetchCurrencyDecimalPlaces'
              - $ref: '#/components/schemas/FetchSingleCurrencyPortalCurrency'
              - $ref: '#/components/schemas/FetchPortalHomeCurrency'
              - $ref: '#/components/schemas/IsPortalEnabledCurrency'
              - $ref: '#/components/schemas/IsPortalMulticurrencyEnabled'
              - $ref: '#/components/schemas/DatedExchangeRate'
              - $ref: '#/components/schemas/PipelineProbability'
              - $ref: '#/components/schemas/MaxNumbers'
              - $ref: '#/components/schemas/MinNumbers'
              - $ref: '#/components/schemas/LessThan'
              - $ref: '#/components/schemas/LessThanOrEqual'
              - $ref: '#/components/schemas/MoreThan'
              - $ref: '#/components/schemas/MoreThanOrEqual'
              - $ref: '#/components/schemas/NumberEquals'
              - $ref: '#/components/schemas/StringEquals'
              - $ref: '#/components/schemas/IsPipelineStageClosed'
              - $ref: '#/components/schemas/Not'
              - $ref: '#/components/schemas/Date'
              - $ref: '#/components/schemas/Month'
              - $ref: '#/components/schemas/Year'
              - $ref: '#/components/schemas/Now'
              - $ref: '#/components/schemas/TimeBetween'
              - $ref: '#/components/schemas/TimeBetweenSkipWeekends'
              - $ref: '#/components/schemas/PeriodToMonths'
              - $ref: '#/components/schemas/PeriodToWeeks'
              - $ref: '#/components/schemas/And'
              - $ref: '#/components/schemas/Or'
              - $ref: '#/components/schemas/Xor'
              - $ref: '#/components/schemas/IfString'
              - $ref: '#/components/schemas/IfNumber'
              - $ref: '#/components/schemas/IfBoolean'
              - $ref: '#/components/schemas/IsPresent'
              - $ref: '#/components/schemas/IfChainString'
              - $ref: '#/components/schemas/IfChainNumber'
              - $ref: '#/components/schemas/IfChainBoolean'
              - $ref: '#/components/schemas/HasEmailReply'
              - $ref: '#/components/schemas/HasPlainTextEmailReply'
              - $ref: '#/components/schemas/ExtractMostRecentEmailReplyHtml'
              - $ref: '#/components/schemas/ExtractMostRecentEmailReplyText'
              - $ref: '#/components/schemas/ExtractMostRecentPlainTextEmailReply'
              - $ref: '#/components/schemas/SetContainsString'
              - $ref: '#/components/schemas/SetContainsAnyString'
              - $ref: '#/components/schemas/SetEqualsStrings'
              - $ref: '#/components/schemas/IsEngagementType'
              - $ref: '#/components/schemas/FormatFullName'
              - $ref: '#/components/schemas/FormatPhoneNumber'
              - $ref: '#/components/schemas/FormatSearchablePhoneNumber'
              - $ref: '#/components/schemas/AbsoluteValue'
              - $ref: '#/components/schemas/SquareRoot'
              - $ref: '#/components/schemas/Power'
              - $ref: '#/components/schemas/Substring'
              - $ref: '#/components/schemas/Euler'
              - $ref: '#/components/schemas/StringLength'
              - $ref: '#/components/schemas/IsBlank'
              - $ref: '#/components/schemas/AddTime'
              - $ref: '#/components/schemas/SubtractTime'
              - $ref: '#/components/schemas/RegexMatches'
              - $ref: '#/components/schemas/IsValidIsoPeriod'
              - $ref: '#/components/schemas/IsMonthBasedIsoPeriod'
              - $ref: '#/components/schemas/IsDayBasedIsoPeriod'
              - $ref: '#/components/schemas/IsMultipleOf'
              - $ref: '#/components/schemas/ValidateWhen'
              - $ref: '#/components/schemas/CoalesceString'
              - $ref: '#/components/schemas/CoalesceNumber'
              - $ref: '#/components/schemas/CoalesceBoolean'
              - $ref: '#/components/schemas/GetStartTime'
              - $ref: '#/components/schemas/ShiftDate'
              - $ref: '#/components/schemas/PortalTimezone'
              - $ref: '#/components/schemas/AnyCharsMatch'
              - $ref: '#/components/schemas/AllCharsMatch'
              - $ref: '#/components/schemas/RemoveMatchingChars'
              - $ref: '#/components/schemas/KeepMatchingChars'
              - $ref: '#/components/schemas/TrimOuterChars'
              - $ref: '#/components/schemas/TrimLeadingChars'
              - $ref: '#/components/schemas/TrimTrailingChars'
              - $ref: '#/components/schemas/ReplaceMatchingChars'
              - $ref: '#/components/schemas/CollapseMatchingChars'
              - $ref: '#/components/schemas/CountMatchingChars'
        operator:
          type: string
          description: "Une chaîne de caractères représentant le type d'opération, qui est «\_SUBTRACT\_» pour cet élément. Il s'agit d'une propriété requise."
          default: SUBTRACT_NUMBERS
          enum:
            - SUBTRACT_NUMBERS
        propertyName:
          type: string
          description: >-
            Une chaîne représentant le nom de la propriété associée à cette
            opération.
        value:
          type: number
          description: Un nombre représentant le résultat de l'opération de soustraction.
      x-hubspot-sub-type-impl: true
    MultiplyNumbers:
      title: MULTIPLY_NUMBERS
      required:
        - enclosedInParentheses
        - operator
      type: object
      properties:
        enclosedInParentheses:
          type: boolean
          description: >-
            Un booléen indiquant si l'opération est entre parenthèses, ce qui
            affecte l'ordre des opérations.
        inputs:
          type: array
          description: >-
            Un tableau d'entrées à multiplier, qui peut inclure des constantes,
            des variables de propriété ou d'autres opérations.
          items:
            oneOf:
              - $ref: '#/components/schemas/ConstantBoolean'
              - $ref: '#/components/schemas/ConstantNumber'
              - $ref: '#/components/schemas/ConstantString'
              - $ref: '#/components/schemas/BooleanPropertyVariable'
              - $ref: '#/components/schemas/StringPropertyVariable'
              - $ref: '#/components/schemas/NumberPropertyVariable'
              - $ref: '#/components/schemas/TimestampOfPropertyVariable'
              - $ref: '#/components/schemas/BooleanTargetPropertyVariable'
              - $ref: '#/components/schemas/StringTargetPropertyVariable'
              - $ref: '#/components/schemas/NumberTargetPropertyVariable'
              - $ref: '#/components/schemas/TimestampOfTargetPropertyVariable'
              - $ref: '#/components/schemas/AddNumbers'
              - $ref: '#/components/schemas/SubtractNumbers'
              - $ref: '#/components/schemas/MultiplyNumbers'
              - $ref: '#/components/schemas/DivideNumbers'
              - $ref: '#/components/schemas/RoundDownNumbers'
              - $ref: '#/components/schemas/RoundUpNumbers'
              - $ref: '#/components/schemas/RoundNearestNumbers'
              - $ref: '#/components/schemas/UpperCase'
              - $ref: '#/components/schemas/LowerCase'
              - $ref: '#/components/schemas/ConcatStrings'
              - $ref: '#/components/schemas/Contains'
              - $ref: '#/components/schemas/BeginsWith'
              - $ref: '#/components/schemas/NumberToString'
              - $ref: '#/components/schemas/ParseNumber'
              - $ref: '#/components/schemas/FetchExchangeRate'
              - $ref: '#/components/schemas/FetchCurrencyDecimalPlaces'
              - $ref: '#/components/schemas/FetchSingleCurrencyPortalCurrency'
              - $ref: '#/components/schemas/FetchPortalHomeCurrency'
              - $ref: '#/components/schemas/IsPortalEnabledCurrency'
              - $ref: '#/components/schemas/IsPortalMulticurrencyEnabled'
              - $ref: '#/components/schemas/DatedExchangeRate'
              - $ref: '#/components/schemas/PipelineProbability'
              - $ref: '#/components/schemas/MaxNumbers'
              - $ref: '#/components/schemas/MinNumbers'
              - $ref: '#/components/schemas/LessThan'
              - $ref: '#/components/schemas/LessThanOrEqual'
              - $ref: '#/components/schemas/MoreThan'
              - $ref: '#/components/schemas/MoreThanOrEqual'
              - $ref: '#/components/schemas/NumberEquals'
              - $ref: '#/components/schemas/StringEquals'
              - $ref: '#/components/schemas/IsPipelineStageClosed'
              - $ref: '#/components/schemas/Not'
              - $ref: '#/components/schemas/Date'
              - $ref: '#/components/schemas/Month'
              - $ref: '#/components/schemas/Year'
              - $ref: '#/components/schemas/Now'
              - $ref: '#/components/schemas/TimeBetween'
              - $ref: '#/components/schemas/TimeBetweenSkipWeekends'
              - $ref: '#/components/schemas/PeriodToMonths'
              - $ref: '#/components/schemas/PeriodToWeeks'
              - $ref: '#/components/schemas/And'
              - $ref: '#/components/schemas/Or'
              - $ref: '#/components/schemas/Xor'
              - $ref: '#/components/schemas/IfString'
              - $ref: '#/components/schemas/IfNumber'
              - $ref: '#/components/schemas/IfBoolean'
              - $ref: '#/components/schemas/IsPresent'
              - $ref: '#/components/schemas/IfChainString'
              - $ref: '#/components/schemas/IfChainNumber'
              - $ref: '#/components/schemas/IfChainBoolean'
              - $ref: '#/components/schemas/HasEmailReply'
              - $ref: '#/components/schemas/HasPlainTextEmailReply'
              - $ref: '#/components/schemas/ExtractMostRecentEmailReplyHtml'
              - $ref: '#/components/schemas/ExtractMostRecentEmailReplyText'
              - $ref: '#/components/schemas/ExtractMostRecentPlainTextEmailReply'
              - $ref: '#/components/schemas/SetContainsString'
              - $ref: '#/components/schemas/SetContainsAnyString'
              - $ref: '#/components/schemas/SetEqualsStrings'
              - $ref: '#/components/schemas/IsEngagementType'
              - $ref: '#/components/schemas/FormatFullName'
              - $ref: '#/components/schemas/FormatPhoneNumber'
              - $ref: '#/components/schemas/FormatSearchablePhoneNumber'
              - $ref: '#/components/schemas/AbsoluteValue'
              - $ref: '#/components/schemas/SquareRoot'
              - $ref: '#/components/schemas/Power'
              - $ref: '#/components/schemas/Substring'
              - $ref: '#/components/schemas/Euler'
              - $ref: '#/components/schemas/StringLength'
              - $ref: '#/components/schemas/IsBlank'
              - $ref: '#/components/schemas/AddTime'
              - $ref: '#/components/schemas/SubtractTime'
              - $ref: '#/components/schemas/RegexMatches'
              - $ref: '#/components/schemas/IsValidIsoPeriod'
              - $ref: '#/components/schemas/IsMonthBasedIsoPeriod'
              - $ref: '#/components/schemas/IsDayBasedIsoPeriod'
              - $ref: '#/components/schemas/IsMultipleOf'
              - $ref: '#/components/schemas/ValidateWhen'
              - $ref: '#/components/schemas/CoalesceString'
              - $ref: '#/components/schemas/CoalesceNumber'
              - $ref: '#/components/schemas/CoalesceBoolean'
              - $ref: '#/components/schemas/GetStartTime'
              - $ref: '#/components/schemas/ShiftDate'
              - $ref: '#/components/schemas/PortalTimezone'
              - $ref: '#/components/schemas/AnyCharsMatch'
              - $ref: '#/components/schemas/AllCharsMatch'
              - $ref: '#/components/schemas/RemoveMatchingChars'
              - $ref: '#/components/schemas/KeepMatchingChars'
              - $ref: '#/components/schemas/TrimOuterChars'
              - $ref: '#/components/schemas/TrimLeadingChars'
              - $ref: '#/components/schemas/TrimTrailingChars'
              - $ref: '#/components/schemas/ReplaceMatchingChars'
              - $ref: '#/components/schemas/CollapseMatchingChars'
              - $ref: '#/components/schemas/CountMatchingChars'
        operator:
          type: string
          description: "Une chaîne de caractères qui spécifie le type d'opération, qui est «\_MULTIPLY\_» par défaut."
          default: MULTIPLY_NUMBERS
          enum:
            - MULTIPLY_NUMBERS
        propertyName:
          type: string
          description: >-
            Une chaîne représentant le nom de la propriété associée à cette
            opération de multiplication.
        value:
          type: number
          description: >-
            Un nombre qui représente le résultat de l'opération de
            multiplication.
      x-hubspot-sub-type-impl: true
    DivideNumbers:
      title: DIVIDE_NUMBERS
      required:
        - enclosedInParentheses
        - operator
      type: object
      properties:
        enclosedInParentheses:
          type: boolean
          description: >-
            Un booléen indiquant si l'opération de division doit être placée
            entre parenthèses, ce qui affecte l'ordre des opérations dans une
            expression plus large.
        inputs:
          type: array
          description: >-
            Un tableau d'entrées numériques qui sont divisées. Chaque entrée
            peut être un nombre constant ou une référence à un autre composant
            de calcul.
          items:
            oneOf:
              - $ref: '#/components/schemas/ConstantBoolean'
              - $ref: '#/components/schemas/ConstantNumber'
              - $ref: '#/components/schemas/ConstantString'
              - $ref: '#/components/schemas/BooleanPropertyVariable'
              - $ref: '#/components/schemas/StringPropertyVariable'
              - $ref: '#/components/schemas/NumberPropertyVariable'
              - $ref: '#/components/schemas/TimestampOfPropertyVariable'
              - $ref: '#/components/schemas/BooleanTargetPropertyVariable'
              - $ref: '#/components/schemas/StringTargetPropertyVariable'
              - $ref: '#/components/schemas/NumberTargetPropertyVariable'
              - $ref: '#/components/schemas/TimestampOfTargetPropertyVariable'
              - $ref: '#/components/schemas/AddNumbers'
              - $ref: '#/components/schemas/SubtractNumbers'
              - $ref: '#/components/schemas/MultiplyNumbers'
              - $ref: '#/components/schemas/DivideNumbers'
              - $ref: '#/components/schemas/RoundDownNumbers'
              - $ref: '#/components/schemas/RoundUpNumbers'
              - $ref: '#/components/schemas/RoundNearestNumbers'
              - $ref: '#/components/schemas/UpperCase'
              - $ref: '#/components/schemas/LowerCase'
              - $ref: '#/components/schemas/ConcatStrings'
              - $ref: '#/components/schemas/Contains'
              - $ref: '#/components/schemas/BeginsWith'
              - $ref: '#/components/schemas/NumberToString'
              - $ref: '#/components/schemas/ParseNumber'
              - $ref: '#/components/schemas/FetchExchangeRate'
              - $ref: '#/components/schemas/FetchCurrencyDecimalPlaces'
              - $ref: '#/components/schemas/FetchSingleCurrencyPortalCurrency'
              - $ref: '#/components/schemas/FetchPortalHomeCurrency'
              - $ref: '#/components/schemas/IsPortalEnabledCurrency'
              - $ref: '#/components/schemas/IsPortalMulticurrencyEnabled'
              - $ref: '#/components/schemas/DatedExchangeRate'
              - $ref: '#/components/schemas/PipelineProbability'
              - $ref: '#/components/schemas/MaxNumbers'
              - $ref: '#/components/schemas/MinNumbers'
              - $ref: '#/components/schemas/LessThan'
              - $ref: '#/components/schemas/LessThanOrEqual'
              - $ref: '#/components/schemas/MoreThan'
              - $ref: '#/components/schemas/MoreThanOrEqual'
              - $ref: '#/components/schemas/NumberEquals'
              - $ref: '#/components/schemas/StringEquals'
              - $ref: '#/components/schemas/IsPipelineStageClosed'
              - $ref: '#/components/schemas/Not'
              - $ref: '#/components/schemas/Date'
              - $ref: '#/components/schemas/Month'
              - $ref: '#/components/schemas/Year'
              - $ref: '#/components/schemas/Now'
              - $ref: '#/components/schemas/TimeBetween'
              - $ref: '#/components/schemas/TimeBetweenSkipWeekends'
              - $ref: '#/components/schemas/PeriodToMonths'
              - $ref: '#/components/schemas/PeriodToWeeks'
              - $ref: '#/components/schemas/And'
              - $ref: '#/components/schemas/Or'
              - $ref: '#/components/schemas/Xor'
              - $ref: '#/components/schemas/IfString'
              - $ref: '#/components/schemas/IfNumber'
              - $ref: '#/components/schemas/IfBoolean'
              - $ref: '#/components/schemas/IsPresent'
              - $ref: '#/components/schemas/IfChainString'
              - $ref: '#/components/schemas/IfChainNumber'
              - $ref: '#/components/schemas/IfChainBoolean'
              - $ref: '#/components/schemas/HasEmailReply'
              - $ref: '#/components/schemas/HasPlainTextEmailReply'
              - $ref: '#/components/schemas/ExtractMostRecentEmailReplyHtml'
              - $ref: '#/components/schemas/ExtractMostRecentEmailReplyText'
              - $ref: '#/components/schemas/ExtractMostRecentPlainTextEmailReply'
              - $ref: '#/components/schemas/SetContainsString'
              - $ref: '#/components/schemas/SetContainsAnyString'
              - $ref: '#/components/schemas/SetEqualsStrings'
              - $ref: '#/components/schemas/IsEngagementType'
              - $ref: '#/components/schemas/FormatFullName'
              - $ref: '#/components/schemas/FormatPhoneNumber'
              - $ref: '#/components/schemas/FormatSearchablePhoneNumber'
              - $ref: '#/components/schemas/AbsoluteValue'
              - $ref: '#/components/schemas/SquareRoot'
              - $ref: '#/components/schemas/Power'
              - $ref: '#/components/schemas/Substring'
              - $ref: '#/components/schemas/Euler'
              - $ref: '#/components/schemas/StringLength'
              - $ref: '#/components/schemas/IsBlank'
              - $ref: '#/components/schemas/AddTime'
              - $ref: '#/components/schemas/SubtractTime'
              - $ref: '#/components/schemas/RegexMatches'
              - $ref: '#/components/schemas/IsValidIsoPeriod'
              - $ref: '#/components/schemas/IsMonthBasedIsoPeriod'
              - $ref: '#/components/schemas/IsDayBasedIsoPeriod'
              - $ref: '#/components/schemas/IsMultipleOf'
              - $ref: '#/components/schemas/ValidateWhen'
              - $ref: '#/components/schemas/CoalesceString'
              - $ref: '#/components/schemas/CoalesceNumber'
              - $ref: '#/components/schemas/CoalesceBoolean'
              - $ref: '#/components/schemas/GetStartTime'
              - $ref: '#/components/schemas/ShiftDate'
              - $ref: '#/components/schemas/PortalTimezone'
              - $ref: '#/components/schemas/AnyCharsMatch'
              - $ref: '#/components/schemas/AllCharsMatch'
              - $ref: '#/components/schemas/RemoveMatchingChars'
              - $ref: '#/components/schemas/KeepMatchingChars'
              - $ref: '#/components/schemas/TrimOuterChars'
              - $ref: '#/components/schemas/TrimLeadingChars'
              - $ref: '#/components/schemas/TrimTrailingChars'
              - $ref: '#/components/schemas/ReplaceMatchingChars'
              - $ref: '#/components/schemas/CollapseMatchingChars'
              - $ref: '#/components/schemas/CountMatchingChars'
        operator:
          type: string
          description: "Une chaîne de caractères représentant le type d'opération, qui est «\_DIVIDE\_» pour ce composant."
          default: DIVIDE_NUMBERS
          enum:
            - DIVIDE_NUMBERS
        propertyName:
          type: string
          description: >-
            Une chaîne représentant le nom de la propriété associée à cette
            opération de division.
        value:
          type: number
          description: Un nombre représentant le résultat de l'opération de division.
      x-hubspot-sub-type-impl: true
    RoundDownNumbers:
      title: ROUND_DOWN
      required:
        - operator
      type: object
      properties:
        inputs:
          type: array
          description: >-
            Un tableau d'entrées pouvant inclure divers types tels que des
            constantes, des variables de propriété ou d'autres opérations, qui
            sont utilisées comme opérandes dans l'opération d'arrondi par
            défaut.
          items:
            oneOf:
              - $ref: '#/components/schemas/ConstantBoolean'
              - $ref: '#/components/schemas/ConstantNumber'
              - $ref: '#/components/schemas/ConstantString'
              - $ref: '#/components/schemas/BooleanPropertyVariable'
              - $ref: '#/components/schemas/StringPropertyVariable'
              - $ref: '#/components/schemas/NumberPropertyVariable'
              - $ref: '#/components/schemas/TimestampOfPropertyVariable'
              - $ref: '#/components/schemas/BooleanTargetPropertyVariable'
              - $ref: '#/components/schemas/StringTargetPropertyVariable'
              - $ref: '#/components/schemas/NumberTargetPropertyVariable'
              - $ref: '#/components/schemas/TimestampOfTargetPropertyVariable'
              - $ref: '#/components/schemas/AddNumbers'
              - $ref: '#/components/schemas/SubtractNumbers'
              - $ref: '#/components/schemas/MultiplyNumbers'
              - $ref: '#/components/schemas/DivideNumbers'
              - $ref: '#/components/schemas/RoundDownNumbers'
              - $ref: '#/components/schemas/RoundUpNumbers'
              - $ref: '#/components/schemas/RoundNearestNumbers'
              - $ref: '#/components/schemas/UpperCase'
              - $ref: '#/components/schemas/LowerCase'
              - $ref: '#/components/schemas/ConcatStrings'
              - $ref: '#/components/schemas/Contains'
              - $ref: '#/components/schemas/BeginsWith'
              - $ref: '#/components/schemas/NumberToString'
              - $ref: '#/components/schemas/ParseNumber'
              - $ref: '#/components/schemas/FetchExchangeRate'
              - $ref: '#/components/schemas/FetchCurrencyDecimalPlaces'
              - $ref: '#/components/schemas/FetchSingleCurrencyPortalCurrency'
              - $ref: '#/components/schemas/FetchPortalHomeCurrency'
              - $ref: '#/components/schemas/IsPortalEnabledCurrency'
              - $ref: '#/components/schemas/IsPortalMulticurrencyEnabled'
              - $ref: '#/components/schemas/DatedExchangeRate'
              - $ref: '#/components/schemas/PipelineProbability'
              - $ref: '#/components/schemas/MaxNumbers'
              - $ref: '#/components/schemas/MinNumbers'
              - $ref: '#/components/schemas/LessThan'
              - $ref: '#/components/schemas/LessThanOrEqual'
              - $ref: '#/components/schemas/MoreThan'
              - $ref: '#/components/schemas/MoreThanOrEqual'
              - $ref: '#/components/schemas/NumberEquals'
              - $ref: '#/components/schemas/StringEquals'
              - $ref: '#/components/schemas/IsPipelineStageClosed'
              - $ref: '#/components/schemas/Not'
              - $ref: '#/components/schemas/Date'
              - $ref: '#/components/schemas/Month'
              - $ref: '#/components/schemas/Year'
              - $ref: '#/components/schemas/Now'
              - $ref: '#/components/schemas/TimeBetween'
              - $ref: '#/components/schemas/TimeBetweenSkipWeekends'
              - $ref: '#/components/schemas/PeriodToMonths'
              - $ref: '#/components/schemas/PeriodToWeeks'
              - $ref: '#/components/schemas/And'
              - $ref: '#/components/schemas/Or'
              - $ref: '#/components/schemas/Xor'
              - $ref: '#/components/schemas/IfString'
              - $ref: '#/components/schemas/IfNumber'
              - $ref: '#/components/schemas/IfBoolean'
              - $ref: '#/components/schemas/IsPresent'
              - $ref: '#/components/schemas/IfChainString'
              - $ref: '#/components/schemas/IfChainNumber'
              - $ref: '#/components/schemas/IfChainBoolean'
              - $ref: '#/components/schemas/HasEmailReply'
              - $ref: '#/components/schemas/HasPlainTextEmailReply'
              - $ref: '#/components/schemas/ExtractMostRecentEmailReplyHtml'
              - $ref: '#/components/schemas/ExtractMostRecentEmailReplyText'
              - $ref: '#/components/schemas/ExtractMostRecentPlainTextEmailReply'
              - $ref: '#/components/schemas/SetContainsString'
              - $ref: '#/components/schemas/SetContainsAnyString'
              - $ref: '#/components/schemas/SetEqualsStrings'
              - $ref: '#/components/schemas/IsEngagementType'
              - $ref: '#/components/schemas/FormatFullName'
              - $ref: '#/components/schemas/FormatPhoneNumber'
              - $ref: '#/components/schemas/FormatSearchablePhoneNumber'
              - $ref: '#/components/schemas/AbsoluteValue'
              - $ref: '#/components/schemas/SquareRoot'
              - $ref: '#/components/schemas/Power'
              - $ref: '#/components/schemas/Substring'
              - $ref: '#/components/schemas/Euler'
              - $ref: '#/components/schemas/StringLength'
              - $ref: '#/components/schemas/IsBlank'
              - $ref: '#/components/schemas/AddTime'
              - $ref: '#/components/schemas/SubtractTime'
              - $ref: '#/components/schemas/RegexMatches'
              - $ref: '#/components/schemas/IsValidIsoPeriod'
              - $ref: '#/components/schemas/IsMonthBasedIsoPeriod'
              - $ref: '#/components/schemas/IsDayBasedIsoPeriod'
              - $ref: '#/components/schemas/IsMultipleOf'
              - $ref: '#/components/schemas/ValidateWhen'
              - $ref: '#/components/schemas/CoalesceString'
              - $ref: '#/components/schemas/CoalesceNumber'
              - $ref: '#/components/schemas/CoalesceBoolean'
              - $ref: '#/components/schemas/GetStartTime'
              - $ref: '#/components/schemas/ShiftDate'
              - $ref: '#/components/schemas/PortalTimezone'
              - $ref: '#/components/schemas/AnyCharsMatch'
              - $ref: '#/components/schemas/AllCharsMatch'
              - $ref: '#/components/schemas/RemoveMatchingChars'
              - $ref: '#/components/schemas/KeepMatchingChars'
              - $ref: '#/components/schemas/TrimOuterChars'
              - $ref: '#/components/schemas/TrimLeadingChars'
              - $ref: '#/components/schemas/TrimTrailingChars'
              - $ref: '#/components/schemas/ReplaceMatchingChars'
              - $ref: '#/components/schemas/CollapseMatchingChars'
              - $ref: '#/components/schemas/CountMatchingChars'
        operator:
          type: string
          description: "Une chaîne de caractères qui spécifie le type d'opération, qui est «\_ROUND_DOWN_NUMBERS\_» par défaut."
          default: ROUND_DOWN
          enum:
            - ROUND_DOWN
        propertyName:
          type: string
          description: >-
            Une chaîne représentant le nom de la propriété associée à cette
            opération.
        value:
          type: number
          description: >-
            Le nombre résultant après l'application de l'opération d'arrondi
            inférieur.
      x-hubspot-sub-type-impl: true
    RoundUpNumbers:
      title: ROUND_UP
      required:
        - operator
      type: object
      properties:
        inputs:
          type: array
          description: >-
            Un tableau d'entrées pour l'opération d'arrondi, qui peut inclure
            divers types de variables numériques ou de propriétés.
          items:
            oneOf:
              - $ref: '#/components/schemas/ConstantBoolean'
              - $ref: '#/components/schemas/ConstantNumber'
              - $ref: '#/components/schemas/ConstantString'
              - $ref: '#/components/schemas/BooleanPropertyVariable'
              - $ref: '#/components/schemas/StringPropertyVariable'
              - $ref: '#/components/schemas/NumberPropertyVariable'
              - $ref: '#/components/schemas/TimestampOfPropertyVariable'
              - $ref: '#/components/schemas/BooleanTargetPropertyVariable'
              - $ref: '#/components/schemas/StringTargetPropertyVariable'
              - $ref: '#/components/schemas/NumberTargetPropertyVariable'
              - $ref: '#/components/schemas/TimestampOfTargetPropertyVariable'
              - $ref: '#/components/schemas/AddNumbers'
              - $ref: '#/components/schemas/SubtractNumbers'
              - $ref: '#/components/schemas/MultiplyNumbers'
              - $ref: '#/components/schemas/DivideNumbers'
              - $ref: '#/components/schemas/RoundDownNumbers'
              - $ref: '#/components/schemas/RoundUpNumbers'
              - $ref: '#/components/schemas/RoundNearestNumbers'
              - $ref: '#/components/schemas/UpperCase'
              - $ref: '#/components/schemas/LowerCase'
              - $ref: '#/components/schemas/ConcatStrings'
              - $ref: '#/components/schemas/Contains'
              - $ref: '#/components/schemas/BeginsWith'
              - $ref: '#/components/schemas/NumberToString'
              - $ref: '#/components/schemas/ParseNumber'
              - $ref: '#/components/schemas/FetchExchangeRate'
              - $ref: '#/components/schemas/FetchCurrencyDecimalPlaces'
              - $ref: '#/components/schemas/FetchSingleCurrencyPortalCurrency'
              - $ref: '#/components/schemas/FetchPortalHomeCurrency'
              - $ref: '#/components/schemas/IsPortalEnabledCurrency'
              - $ref: '#/components/schemas/IsPortalMulticurrencyEnabled'
              - $ref: '#/components/schemas/DatedExchangeRate'
              - $ref: '#/components/schemas/PipelineProbability'
              - $ref: '#/components/schemas/MaxNumbers'
              - $ref: '#/components/schemas/MinNumbers'
              - $ref: '#/components/schemas/LessThan'
              - $ref: '#/components/schemas/LessThanOrEqual'
              - $ref: '#/components/schemas/MoreThan'
              - $ref: '#/components/schemas/MoreThanOrEqual'
              - $ref: '#/components/schemas/NumberEquals'
              - $ref: '#/components/schemas/StringEquals'
              - $ref: '#/components/schemas/IsPipelineStageClosed'
              - $ref: '#/components/schemas/Not'
              - $ref: '#/components/schemas/Date'
              - $ref: '#/components/schemas/Month'
              - $ref: '#/components/schemas/Year'
              - $ref: '#/components/schemas/Now'
              - $ref: '#/components/schemas/TimeBetween'
              - $ref: '#/components/schemas/TimeBetweenSkipWeekends'
              - $ref: '#/components/schemas/PeriodToMonths'
              - $ref: '#/components/schemas/PeriodToWeeks'
              - $ref: '#/components/schemas/And'
              - $ref: '#/components/schemas/Or'
              - $ref: '#/components/schemas/Xor'
              - $ref: '#/components/schemas/IfString'
              - $ref: '#/components/schemas/IfNumber'
              - $ref: '#/components/schemas/IfBoolean'
              - $ref: '#/components/schemas/IsPresent'
              - $ref: '#/components/schemas/IfChainString'
              - $ref: '#/components/schemas/IfChainNumber'
              - $ref: '#/components/schemas/IfChainBoolean'
              - $ref: '#/components/schemas/HasEmailReply'
              - $ref: '#/components/schemas/HasPlainTextEmailReply'
              - $ref: '#/components/schemas/ExtractMostRecentEmailReplyHtml'
              - $ref: '#/components/schemas/ExtractMostRecentEmailReplyText'
              - $ref: '#/components/schemas/ExtractMostRecentPlainTextEmailReply'
              - $ref: '#/components/schemas/SetContainsString'
              - $ref: '#/components/schemas/SetContainsAnyString'
              - $ref: '#/components/schemas/SetEqualsStrings'
              - $ref: '#/components/schemas/IsEngagementType'
              - $ref: '#/components/schemas/FormatFullName'
              - $ref: '#/components/schemas/FormatPhoneNumber'
              - $ref: '#/components/schemas/FormatSearchablePhoneNumber'
              - $ref: '#/components/schemas/AbsoluteValue'
              - $ref: '#/components/schemas/SquareRoot'
              - $ref: '#/components/schemas/Power'
              - $ref: '#/components/schemas/Substring'
              - $ref: '#/components/schemas/Euler'
              - $ref: '#/components/schemas/StringLength'
              - $ref: '#/components/schemas/IsBlank'
              - $ref: '#/components/schemas/AddTime'
              - $ref: '#/components/schemas/SubtractTime'
              - $ref: '#/components/schemas/RegexMatches'
              - $ref: '#/components/schemas/IsValidIsoPeriod'
              - $ref: '#/components/schemas/IsMonthBasedIsoPeriod'
              - $ref: '#/components/schemas/IsDayBasedIsoPeriod'
              - $ref: '#/components/schemas/IsMultipleOf'
              - $ref: '#/components/schemas/ValidateWhen'
              - $ref: '#/components/schemas/CoalesceString'
              - $ref: '#/components/schemas/CoalesceNumber'
              - $ref: '#/components/schemas/CoalesceBoolean'
              - $ref: '#/components/schemas/GetStartTime'
              - $ref: '#/components/schemas/ShiftDate'
              - $ref: '#/components/schemas/PortalTimezone'
              - $ref: '#/components/schemas/AnyCharsMatch'
              - $ref: '#/components/schemas/AllCharsMatch'
              - $ref: '#/components/schemas/RemoveMatchingChars'
              - $ref: '#/components/schemas/KeepMatchingChars'
              - $ref: '#/components/schemas/TrimOuterChars'
              - $ref: '#/components/schemas/TrimLeadingChars'
              - $ref: '#/components/schemas/TrimTrailingChars'
              - $ref: '#/components/schemas/ReplaceMatchingChars'
              - $ref: '#/components/schemas/CollapseMatchingChars'
              - $ref: '#/components/schemas/CountMatchingChars'
        operator:
          type: string
          description: "Une chaîne représentant le type d'opération, qui est «\_ROUND_UP_NUMBERS\_» par défaut."
          default: ROUND_UP
          enum:
            - ROUND_UP
        propertyName:
          type: string
          description: >-
            Une chaîne représentant le nom de la propriété associée à
            l'opération d'arrondi.
        value:
          type: number
          description: Un nombre indiquant le résultat de l'opération d'arrondi.
      x-hubspot-sub-type-impl: true
    RoundNearestNumbers:
      title: ROUND_NEAREST
      required:
        - operator
      type: object
      properties:
        inputs:
          type: array
          description: >-
            Un tableau de valeurs d'entrée qui sont prises en compte pour
            l'opération d'arrondi. Chaque entrée peut être une constante, une
            variable de propriété ou une autre opération.
          items:
            oneOf:
              - $ref: '#/components/schemas/ConstantBoolean'
              - $ref: '#/components/schemas/ConstantNumber'
              - $ref: '#/components/schemas/ConstantString'
              - $ref: '#/components/schemas/BooleanPropertyVariable'
              - $ref: '#/components/schemas/StringPropertyVariable'
              - $ref: '#/components/schemas/NumberPropertyVariable'
              - $ref: '#/components/schemas/TimestampOfPropertyVariable'
              - $ref: '#/components/schemas/BooleanTargetPropertyVariable'
              - $ref: '#/components/schemas/StringTargetPropertyVariable'
              - $ref: '#/components/schemas/NumberTargetPropertyVariable'
              - $ref: '#/components/schemas/TimestampOfTargetPropertyVariable'
              - $ref: '#/components/schemas/AddNumbers'
              - $ref: '#/components/schemas/SubtractNumbers'
              - $ref: '#/components/schemas/MultiplyNumbers'
              - $ref: '#/components/schemas/DivideNumbers'
              - $ref: '#/components/schemas/RoundDownNumbers'
              - $ref: '#/components/schemas/RoundUpNumbers'
              - $ref: '#/components/schemas/RoundNearestNumbers'
              - $ref: '#/components/schemas/UpperCase'
              - $ref: '#/components/schemas/LowerCase'
              - $ref: '#/components/schemas/ConcatStrings'
              - $ref: '#/components/schemas/Contains'
              - $ref: '#/components/schemas/BeginsWith'
              - $ref: '#/components/schemas/NumberToString'
              - $ref: '#/components/schemas/ParseNumber'
              - $ref: '#/components/schemas/FetchExchangeRate'
              - $ref: '#/components/schemas/FetchCurrencyDecimalPlaces'
              - $ref: '#/components/schemas/FetchSingleCurrencyPortalCurrency'
              - $ref: '#/components/schemas/FetchPortalHomeCurrency'
              - $ref: '#/components/schemas/IsPortalEnabledCurrency'
              - $ref: '#/components/schemas/IsPortalMulticurrencyEnabled'
              - $ref: '#/components/schemas/DatedExchangeRate'
              - $ref: '#/components/schemas/PipelineProbability'
              - $ref: '#/components/schemas/MaxNumbers'
              - $ref: '#/components/schemas/MinNumbers'
              - $ref: '#/components/schemas/LessThan'
              - $ref: '#/components/schemas/LessThanOrEqual'
              - $ref: '#/components/schemas/MoreThan'
              - $ref: '#/components/schemas/MoreThanOrEqual'
              - $ref: '#/components/schemas/NumberEquals'
              - $ref: '#/components/schemas/StringEquals'
              - $ref: '#/components/schemas/IsPipelineStageClosed'
              - $ref: '#/components/schemas/Not'
              - $ref: '#/components/schemas/Date'
              - $ref: '#/components/schemas/Month'
              - $ref: '#/components/schemas/Year'
              - $ref: '#/components/schemas/Now'
              - $ref: '#/components/schemas/TimeBetween'
              - $ref: '#/components/schemas/TimeBetweenSkipWeekends'
              - $ref: '#/components/schemas/PeriodToMonths'
              - $ref: '#/components/schemas/PeriodToWeeks'
              - $ref: '#/components/schemas/And'
              - $ref: '#/components/schemas/Or'
              - $ref: '#/components/schemas/Xor'
              - $ref: '#/components/schemas/IfString'
              - $ref: '#/components/schemas/IfNumber'
              - $ref: '#/components/schemas/IfBoolean'
              - $ref: '#/components/schemas/IsPresent'
              - $ref: '#/components/schemas/IfChainString'
              - $ref: '#/components/schemas/IfChainNumber'
              - $ref: '#/components/schemas/IfChainBoolean'
              - $ref: '#/components/schemas/HasEmailReply'
              - $ref: '#/components/schemas/HasPlainTextEmailReply'
              - $ref: '#/components/schemas/ExtractMostRecentEmailReplyHtml'
              - $ref: '#/components/schemas/ExtractMostRecentEmailReplyText'
              - $ref: '#/components/schemas/ExtractMostRecentPlainTextEmailReply'
              - $ref: '#/components/schemas/SetContainsString'
              - $ref: '#/components/schemas/SetContainsAnyString'
              - $ref: '#/components/schemas/SetEqualsStrings'
              - $ref: '#/components/schemas/IsEngagementType'
              - $ref: '#/components/schemas/FormatFullName'
              - $ref: '#/components/schemas/FormatPhoneNumber'
              - $ref: '#/components/schemas/FormatSearchablePhoneNumber'
              - $ref: '#/components/schemas/AbsoluteValue'
              - $ref: '#/components/schemas/SquareRoot'
              - $ref: '#/components/schemas/Power'
              - $ref: '#/components/schemas/Substring'
              - $ref: '#/components/schemas/Euler'
              - $ref: '#/components/schemas/StringLength'
              - $ref: '#/components/schemas/IsBlank'
              - $ref: '#/components/schemas/AddTime'
              - $ref: '#/components/schemas/SubtractTime'
              - $ref: '#/components/schemas/RegexMatches'
              - $ref: '#/components/schemas/IsValidIsoPeriod'
              - $ref: '#/components/schemas/IsMonthBasedIsoPeriod'
              - $ref: '#/components/schemas/IsDayBasedIsoPeriod'
              - $ref: '#/components/schemas/IsMultipleOf'
              - $ref: '#/components/schemas/ValidateWhen'
              - $ref: '#/components/schemas/CoalesceString'
              - $ref: '#/components/schemas/CoalesceNumber'
              - $ref: '#/components/schemas/CoalesceBoolean'
              - $ref: '#/components/schemas/GetStartTime'
              - $ref: '#/components/schemas/ShiftDate'
              - $ref: '#/components/schemas/PortalTimezone'
              - $ref: '#/components/schemas/AnyCharsMatch'
              - $ref: '#/components/schemas/AllCharsMatch'
              - $ref: '#/components/schemas/RemoveMatchingChars'
              - $ref: '#/components/schemas/KeepMatchingChars'
              - $ref: '#/components/schemas/TrimOuterChars'
              - $ref: '#/components/schemas/TrimLeadingChars'
              - $ref: '#/components/schemas/TrimTrailingChars'
              - $ref: '#/components/schemas/ReplaceMatchingChars'
              - $ref: '#/components/schemas/CollapseMatchingChars'
              - $ref: '#/components/schemas/CountMatchingChars'
        operator:
          type: string
          description: "Une chaîne indiquant le type d'opération, qui est «\_ROUND_NEAREST\_» par défaut."
          default: ROUND_NEAREST
          enum:
            - ROUND_NEAREST
        propertyName:
          type: string
          description: >-
            Une chaîne représentant le nom de la propriété associée à
            l'opération d'arrondi.
        value:
          type: number
          description: Le nombre résultant après arrondi, représenté sous forme de nombre.
      x-hubspot-sub-type-impl: true
    UpperCase:
      title: UPPER_CASE
      required:
        - operator
      type: object
      properties:
        inputs:
          type: array
          description: >-
            Un tableau d'entrées pouvant inclure divers types tels que des
            chaînes de caractères, des nombres ou d'autres opérations, qui
            seront traitées pour produire le résultat en majuscules.
          items:
            oneOf:
              - $ref: '#/components/schemas/ConstantBoolean'
              - $ref: '#/components/schemas/ConstantNumber'
              - $ref: '#/components/schemas/ConstantString'
              - $ref: '#/components/schemas/BooleanPropertyVariable'
              - $ref: '#/components/schemas/StringPropertyVariable'
              - $ref: '#/components/schemas/NumberPropertyVariable'
              - $ref: '#/components/schemas/TimestampOfPropertyVariable'
              - $ref: '#/components/schemas/BooleanTargetPropertyVariable'
              - $ref: '#/components/schemas/StringTargetPropertyVariable'
              - $ref: '#/components/schemas/NumberTargetPropertyVariable'
              - $ref: '#/components/schemas/TimestampOfTargetPropertyVariable'
              - $ref: '#/components/schemas/AddNumbers'
              - $ref: '#/components/schemas/SubtractNumbers'
              - $ref: '#/components/schemas/MultiplyNumbers'
              - $ref: '#/components/schemas/DivideNumbers'
              - $ref: '#/components/schemas/RoundDownNumbers'
              - $ref: '#/components/schemas/RoundUpNumbers'
              - $ref: '#/components/schemas/RoundNearestNumbers'
              - $ref: '#/components/schemas/UpperCase'
              - $ref: '#/components/schemas/LowerCase'
              - $ref: '#/components/schemas/ConcatStrings'
              - $ref: '#/components/schemas/Contains'
              - $ref: '#/components/schemas/BeginsWith'
              - $ref: '#/components/schemas/NumberToString'
              - $ref: '#/components/schemas/ParseNumber'
              - $ref: '#/components/schemas/FetchExchangeRate'
              - $ref: '#/components/schemas/FetchCurrencyDecimalPlaces'
              - $ref: '#/components/schemas/FetchSingleCurrencyPortalCurrency'
              - $ref: '#/components/schemas/FetchPortalHomeCurrency'
              - $ref: '#/components/schemas/IsPortalEnabledCurrency'
              - $ref: '#/components/schemas/IsPortalMulticurrencyEnabled'
              - $ref: '#/components/schemas/DatedExchangeRate'
              - $ref: '#/components/schemas/PipelineProbability'
              - $ref: '#/components/schemas/MaxNumbers'
              - $ref: '#/components/schemas/MinNumbers'
              - $ref: '#/components/schemas/LessThan'
              - $ref: '#/components/schemas/LessThanOrEqual'
              - $ref: '#/components/schemas/MoreThan'
              - $ref: '#/components/schemas/MoreThanOrEqual'
              - $ref: '#/components/schemas/NumberEquals'
              - $ref: '#/components/schemas/StringEquals'
              - $ref: '#/components/schemas/IsPipelineStageClosed'
              - $ref: '#/components/schemas/Not'
              - $ref: '#/components/schemas/Date'
              - $ref: '#/components/schemas/Month'
              - $ref: '#/components/schemas/Year'
              - $ref: '#/components/schemas/Now'
              - $ref: '#/components/schemas/TimeBetween'
              - $ref: '#/components/schemas/TimeBetweenSkipWeekends'
              - $ref: '#/components/schemas/PeriodToMonths'
              - $ref: '#/components/schemas/PeriodToWeeks'
              - $ref: '#/components/schemas/And'
              - $ref: '#/components/schemas/Or'
              - $ref: '#/components/schemas/Xor'
              - $ref: '#/components/schemas/IfString'
              - $ref: '#/components/schemas/IfNumber'
              - $ref: '#/components/schemas/IfBoolean'
              - $ref: '#/components/schemas/IsPresent'
              - $ref: '#/components/schemas/IfChainString'
              - $ref: '#/components/schemas/IfChainNumber'
              - $ref: '#/components/schemas/IfChainBoolean'
              - $ref: '#/components/schemas/HasEmailReply'
              - $ref: '#/components/schemas/HasPlainTextEmailReply'
              - $ref: '#/components/schemas/ExtractMostRecentEmailReplyHtml'
              - $ref: '#/components/schemas/ExtractMostRecentEmailReplyText'
              - $ref: '#/components/schemas/ExtractMostRecentPlainTextEmailReply'
              - $ref: '#/components/schemas/SetContainsString'
              - $ref: '#/components/schemas/SetContainsAnyString'
              - $ref: '#/components/schemas/SetEqualsStrings'
              - $ref: '#/components/schemas/IsEngagementType'
              - $ref: '#/components/schemas/FormatFullName'
              - $ref: '#/components/schemas/FormatPhoneNumber'
              - $ref: '#/components/schemas/FormatSearchablePhoneNumber'
              - $ref: '#/components/schemas/AbsoluteValue'
              - $ref: '#/components/schemas/SquareRoot'
              - $ref: '#/components/schemas/Power'
              - $ref: '#/components/schemas/Substring'
              - $ref: '#/components/schemas/Euler'
              - $ref: '#/components/schemas/StringLength'
              - $ref: '#/components/schemas/IsBlank'
              - $ref: '#/components/schemas/AddTime'
              - $ref: '#/components/schemas/SubtractTime'
              - $ref: '#/components/schemas/RegexMatches'
              - $ref: '#/components/schemas/IsValidIsoPeriod'
              - $ref: '#/components/schemas/IsMonthBasedIsoPeriod'
              - $ref: '#/components/schemas/IsDayBasedIsoPeriod'
              - $ref: '#/components/schemas/IsMultipleOf'
              - $ref: '#/components/schemas/ValidateWhen'
              - $ref: '#/components/schemas/CoalesceString'
              - $ref: '#/components/schemas/CoalesceNumber'
              - $ref: '#/components/schemas/CoalesceBoolean'
              - $ref: '#/components/schemas/GetStartTime'
              - $ref: '#/components/schemas/ShiftDate'
              - $ref: '#/components/schemas/PortalTimezone'
              - $ref: '#/components/schemas/AnyCharsMatch'
              - $ref: '#/components/schemas/AllCharsMatch'
              - $ref: '#/components/schemas/RemoveMatchingChars'
              - $ref: '#/components/schemas/KeepMatchingChars'
              - $ref: '#/components/schemas/TrimOuterChars'
              - $ref: '#/components/schemas/TrimLeadingChars'
              - $ref: '#/components/schemas/TrimTrailingChars'
              - $ref: '#/components/schemas/ReplaceMatchingChars'
              - $ref: '#/components/schemas/CollapseMatchingChars'
              - $ref: '#/components/schemas/CountMatchingChars'
        operator:
          type: string
          description: "Une chaîne indiquant l'opération à effectuer, qui est «\_UPPER_CASE\_» par défaut."
          default: UPPER_CASE
          enum:
            - UPPER_CASE
        propertyName:
          type: string
          description: >-
            Chaîne de caractères représentant le nom de la propriété manipulée
            ou transformée.
        value:
          type: string
          description: >-
            La chaîne de caractères résultante après la conversion de l'entrée
            en majuscules.
      x-hubspot-sub-type-impl: true
    LowerCase:
      title: LOWER_CASE
      required:
        - operator
      type: object
      properties:
        inputs:
          type: array
          description: >-
            Un tableau d'entrées pouvant inclure divers types tels que des
            constantes, des propriétés variables et d'autres opérations, à
            transformer en minuscules.
          items:
            oneOf:
              - $ref: '#/components/schemas/ConstantBoolean'
              - $ref: '#/components/schemas/ConstantNumber'
              - $ref: '#/components/schemas/ConstantString'
              - $ref: '#/components/schemas/BooleanPropertyVariable'
              - $ref: '#/components/schemas/StringPropertyVariable'
              - $ref: '#/components/schemas/NumberPropertyVariable'
              - $ref: '#/components/schemas/TimestampOfPropertyVariable'
              - $ref: '#/components/schemas/BooleanTargetPropertyVariable'
              - $ref: '#/components/schemas/StringTargetPropertyVariable'
              - $ref: '#/components/schemas/NumberTargetPropertyVariable'
              - $ref: '#/components/schemas/TimestampOfTargetPropertyVariable'
              - $ref: '#/components/schemas/AddNumbers'
              - $ref: '#/components/schemas/SubtractNumbers'
              - $ref: '#/components/schemas/MultiplyNumbers'
              - $ref: '#/components/schemas/DivideNumbers'
              - $ref: '#/components/schemas/RoundDownNumbers'
              - $ref: '#/components/schemas/RoundUpNumbers'
              - $ref: '#/components/schemas/RoundNearestNumbers'
              - $ref: '#/components/schemas/UpperCase'
              - $ref: '#/components/schemas/LowerCase'
              - $ref: '#/components/schemas/ConcatStrings'
              - $ref: '#/components/schemas/Contains'
              - $ref: '#/components/schemas/BeginsWith'
              - $ref: '#/components/schemas/NumberToString'
              - $ref: '#/components/schemas/ParseNumber'
              - $ref: '#/components/schemas/FetchExchangeRate'
              - $ref: '#/components/schemas/FetchCurrencyDecimalPlaces'
              - $ref: '#/components/schemas/FetchSingleCurrencyPortalCurrency'
              - $ref: '#/components/schemas/FetchPortalHomeCurrency'
              - $ref: '#/components/schemas/IsPortalEnabledCurrency'
              - $ref: '#/components/schemas/IsPortalMulticurrencyEnabled'
              - $ref: '#/components/schemas/DatedExchangeRate'
              - $ref: '#/components/schemas/PipelineProbability'
              - $ref: '#/components/schemas/MaxNumbers'
              - $ref: '#/components/schemas/MinNumbers'
              - $ref: '#/components/schemas/LessThan'
              - $ref: '#/components/schemas/LessThanOrEqual'
              - $ref: '#/components/schemas/MoreThan'
              - $ref: '#/components/schemas/MoreThanOrEqual'
              - $ref: '#/components/schemas/NumberEquals'
              - $ref: '#/components/schemas/StringEquals'
              - $ref: '#/components/schemas/IsPipelineStageClosed'
              - $ref: '#/components/schemas/Not'
              - $ref: '#/components/schemas/Date'
              - $ref: '#/components/schemas/Month'
              - $ref: '#/components/schemas/Year'
              - $ref: '#/components/schemas/Now'
              - $ref: '#/components/schemas/TimeBetween'
              - $ref: '#/components/schemas/TimeBetweenSkipWeekends'
              - $ref: '#/components/schemas/PeriodToMonths'
              - $ref: '#/components/schemas/PeriodToWeeks'
              - $ref: '#/components/schemas/And'
              - $ref: '#/components/schemas/Or'
              - $ref: '#/components/schemas/Xor'
              - $ref: '#/components/schemas/IfString'
              - $ref: '#/components/schemas/IfNumber'
              - $ref: '#/components/schemas/IfBoolean'
              - $ref: '#/components/schemas/IsPresent'
              - $ref: '#/components/schemas/IfChainString'
              - $ref: '#/components/schemas/IfChainNumber'
              - $ref: '#/components/schemas/IfChainBoolean'
              - $ref: '#/components/schemas/HasEmailReply'
              - $ref: '#/components/schemas/HasPlainTextEmailReply'
              - $ref: '#/components/schemas/ExtractMostRecentEmailReplyHtml'
              - $ref: '#/components/schemas/ExtractMostRecentEmailReplyText'
              - $ref: '#/components/schemas/ExtractMostRecentPlainTextEmailReply'
              - $ref: '#/components/schemas/SetContainsString'
              - $ref: '#/components/schemas/SetContainsAnyString'
              - $ref: '#/components/schemas/SetEqualsStrings'
              - $ref: '#/components/schemas/IsEngagementType'
              - $ref: '#/components/schemas/FormatFullName'
              - $ref: '#/components/schemas/FormatPhoneNumber'
              - $ref: '#/components/schemas/FormatSearchablePhoneNumber'
              - $ref: '#/components/schemas/AbsoluteValue'
              - $ref: '#/components/schemas/SquareRoot'
              - $ref: '#/components/schemas/Power'
              - $ref: '#/components/schemas/Substring'
              - $ref: '#/components/schemas/Euler'
              - $ref: '#/components/schemas/StringLength'
              - $ref: '#/components/schemas/IsBlank'
              - $ref: '#/components/schemas/AddTime'
              - $ref: '#/components/schemas/SubtractTime'
              - $ref: '#/components/schemas/RegexMatches'
              - $ref: '#/components/schemas/IsValidIsoPeriod'
              - $ref: '#/components/schemas/IsMonthBasedIsoPeriod'
              - $ref: '#/components/schemas/IsDayBasedIsoPeriod'
              - $ref: '#/components/schemas/IsMultipleOf'
              - $ref: '#/components/schemas/ValidateWhen'
              - $ref: '#/components/schemas/CoalesceString'
              - $ref: '#/components/schemas/CoalesceNumber'
              - $ref: '#/components/schemas/CoalesceBoolean'
              - $ref: '#/components/schemas/GetStartTime'
              - $ref: '#/components/schemas/ShiftDate'
              - $ref: '#/components/schemas/PortalTimezone'
              - $ref: '#/components/schemas/AnyCharsMatch'
              - $ref: '#/components/schemas/AllCharsMatch'
              - $ref: '#/components/schemas/RemoveMatchingChars'
              - $ref: '#/components/schemas/KeepMatchingChars'
              - $ref: '#/components/schemas/TrimOuterChars'
              - $ref: '#/components/schemas/TrimLeadingChars'
              - $ref: '#/components/schemas/TrimTrailingChars'
              - $ref: '#/components/schemas/ReplaceMatchingChars'
              - $ref: '#/components/schemas/CollapseMatchingChars'
              - $ref: '#/components/schemas/CountMatchingChars'
        operator:
          type: string
          description: "Une chaîne indiquant l'opération à effectuer, qui est «\_LOWER_CASE\_» par défaut."
          default: LOWER_CASE
          enum:
            - LOWER_CASE
        propertyName:
          type: string
          description: >-
[...]
